<?php
/**
 * Logos block patterns.
 *
 * @package twentig
 * @phpcs:disable Squiz.Strings.DoubleQuoteUsage.NotRequired
 */

twentig_register_block_pattern(
	'twentig/clients-inline-list',
	array(
		'title'      => __( 'Clients: Inline List', 'twentig' ),
		'categories' => array( 'logos' ),
		'content'    => '<!-- wp:group {"align":"full"} --><div class="wp-block-group alignfull"><div class="wp-block-group__inner-container"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Trusted by hundreds of companies worldwide', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:list {"className":"tw-mt-6 is-style-tw-inline has-larger-font-size has-text-align-center"} --><ul class="tw-mt-6 is-style-tw-inline has-larger-font-size has-text-align-center"><li>Airbnb</li><li>Apple</li><li>Dropbox</li><li>Facebook</li><li>Github</li><li>Google</li><li>LinkedIn</li><li>Mailchimp</li><li>Microsoft</li><li>Netflix</li><li>Paypal</li><li>Slack</li><li>Spotify</li><li>Twitter</li><li>Uber</li><li>Zoom</li></ul><!-- /wp:list --></div></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/logo-2-columns-card-with-link',
	array(
		'title'      => __( 'Logo 2 Columns: Card with Link', 'twentig' ),
		'categories' => array( 'logos' ),
		'content'    => '<!-- wp:group {"align":"full"} --><div class="wp-block-group alignfull"><div class="wp-block-group__inner-container"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Our partners', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:columns {"twColumnStyle":"card-border","twStretchedLink":true} --><div class="wp-block-columns tw-cols-card tw-cols-card-border tw-stretched-link"><!-- wp:column --><div class="wp-block-column"><!-- wp:image {"linkDestination":"custom","className":"tw-mb-4"} --><figure class="wp-block-image tw-mb-4"><a href="#" target="_blank" rel="noreferrer noopener"><img src="' . twentig_get_pattern_asset( 'logo-crop.svg' ) . '" alt=""/></a></figure><!-- /wp:image --><!-- wp:paragraph {"fontSize":"small"} --><p class="has-small-font-size">Lorem ipsum dolor sit amet, commodo erat adipiscing elit. Sed do eiusmod ut tempor incididunt ut labore et dolore.</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image {"linkDestination":"custom","className":"tw-mb-4"} --><figure class="wp-block-image tw-mb-4"><a href="#" target="_blank" rel="noreferrer noopener"><img src="' . twentig_get_pattern_asset( 'logo-crop.svg' ) . '" alt=""/></a></figure><!-- /wp:image --><!-- wp:paragraph {"fontSize":"small"} --><p class="has-small-font-size">Integer enim risus, suscipit eu iaculis sed, ullamcorper at metus. Venenatis nec convallis magna, eu congue velit.</p><!-- /wp:paragraph --></div><!-- /wp:column --></div><!-- /wp:columns --><!-- wp:columns {"twColumnStyle":"card-border","twStretchedLink":true} --><div class="wp-block-columns tw-cols-card tw-cols-card-border tw-stretched-link"><!-- wp:column --><div class="wp-block-column"><!-- wp:image {"linkDestination":"custom","className":"tw-mb-4"} --><figure class="wp-block-image tw-mb-4"><a href="#" target="_blank" rel="noreferrer noopener"><img src="' . twentig_get_pattern_asset( 'logo-crop.svg' ) . '" alt=""/></a></figure><!-- /wp:image --><!-- wp:paragraph {"fontSize":"small"} --><p class="has-small-font-size">Aliquam tempus mi nulla porta luctus. Sed non neque at lectus bibendum blandit. Morbi fringilla sapien libero.</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image {"linkDestination":"custom","className":"tw-mb-4"} --><figure class="wp-block-image tw-mb-4"><a href="#" target="_blank" rel="noreferrer noopener"><img src="' . twentig_get_pattern_asset( 'logo-crop.svg' ) . '" alt=""/></a></figure><!-- /wp:image --><!-- wp:paragraph {"fontSize":"small"} --><p class="has-small-font-size">Duis enim elit, porttitor id feugiat at, blandit at erat. Proin varius libero sit amet tortor volutpat diam laoreet.</p><!-- /wp:paragraph --></div><!-- /wp:column --></div><!-- /wp:columns --></div></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/logos-3-columns',
	array(
		'title'      => __( 'Logos 3 Columns', 'twentig' ),
		'categories' => array( 'logos' ),
		'content'    => '<!-- wp:group {"align":"full"} --><div class="wp-block-group alignfull"><div class="wp-block-group__inner-container"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Our clients', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:gallery {"ids":[null,null,null,null,null,null],"columns":3,"imageCrop":false,"twFixedWidthCols":true,"twGutter":"no"} --><figure class="wp-block-gallery columns-3 tw-fixed-cols tw-gutter-no"><ul class="blocks-gallery-grid"><li class="blocks-gallery-item"><figure><img src="' . twentig_get_pattern_asset( 'logo.svg' ) . '" alt="" data-id=""/></figure></li><li class="blocks-gallery-item"><figure><img src="' . twentig_get_pattern_asset( 'logo.svg?v=2' ) . '" alt="" data-id=""/></figure></li><li class="blocks-gallery-item"><figure><img src="' . twentig_get_pattern_asset( 'logo.svg?v=3' ) . '" alt="" data-id=""/></figure></li><li class="blocks-gallery-item"><figure><img src="' . twentig_get_pattern_asset( 'logo.svg?v=4' ) . '" alt="" data-id=""/></figure></li><li class="blocks-gallery-item"><figure><img src="' . twentig_get_pattern_asset( 'logo.svg?v=5' ) . '" alt="" data-id=""/></figure></li><li class="blocks-gallery-item"><figure><img src="' . twentig_get_pattern_asset( 'logo.svg?v=6' ) . '" alt="" data-id=""/></figure></li></ul></figure><!-- /wp:gallery --></div></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/logos-3-columns-no-gutter',
	array(
		'title'      => __( 'Logos 3 Columns: No Gutter', 'twentig' ),
		'categories' => array( 'logos' ),
		'content'    => '<!-- wp:group {"align":"full"} --><div class="wp-block-group alignfull"><div class="wp-block-group__inner-container"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Our clients', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:gallery {"ids":[null,null,null,null,null,null],"columns":3,"imageCrop":false,"className":"tw-mt-8 tw-img-border","twFixedWidthCols":true,"twGutter":"no"} --><figure class="wp-block-gallery columns-3 tw-mt-8 tw-img-border tw-fixed-cols tw-gutter-no"><ul class="blocks-gallery-grid"><li class="blocks-gallery-item"><figure><img src="' . twentig_get_pattern_asset( 'logo2.svg' ) . '" alt="" data-id=""/></figure></li><li class="blocks-gallery-item"><figure><img src="' . twentig_get_pattern_asset( 'logo2.svg?v=2' ) . '" alt="" data-id=""/></figure></li><li class="blocks-gallery-item"><figure><img src="' . twentig_get_pattern_asset( 'logo2.svg?v=3' ) . '" alt="" data-id="1" data-link="" class="wp-image-1"/></figure></li><li class="blocks-gallery-item"><figure><img src="' . twentig_get_pattern_asset( 'logo2.svg?v=4' ) . '" alt="" data-id=""/></figure></li><li class="blocks-gallery-item"><figure><img src="' . twentig_get_pattern_asset( 'logo2.svg?v=5' ) . '" alt="" data-id=""/></figure></li><li class="blocks-gallery-item"><figure><img src="' . twentig_get_pattern_asset( 'logo2.svg?v=6' ) . '" alt="" data-id=""/></figure></li></ul></figure><!-- /wp:gallery --></div></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/logos-heading-on-left',
	array(
		'title'      => __( 'Logos: Heading on Left', 'twentig' ),
		'categories' => array( 'logos' ),
		'content'    => '<!-- wp:group {"align":"full"} --><div class="wp-block-group alignfull"><div class="wp-block-group__inner-container"><!-- wp:columns {"align":"wide","twGutter":"large","twStack":"md"} --><div class="wp-block-columns alignwide tw-gutter-large tw-cols-stack-md"><!-- wp:column --><div class="wp-block-column"><!-- wp:heading --><h2>' . esc_html_x( 'Trusted by hundreds of companies worldwide', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:paragraph --><p>Lorem ipsum dolor sit amet, commodo erat adipiscing elit. Sed do eiusmod ut tempor incididunt ut labore et dolore. Integer enim risus suscipit eu iaculis sed ullamcorper.</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:gallery {"ids":[null,null,null,null,null,null],"columns":3,"imageCrop":false,"className":"tw-img-border","twFixedWidthCols":true} --><figure class="wp-block-gallery columns-3 tw-img-border tw-fixed-cols"><ul class="blocks-gallery-grid"><li class="blocks-gallery-item"><figure><img src="' . twentig_get_pattern_asset( 'logo2.svg' ) . '" alt="" data-id=""/></figure></li><li class="blocks-gallery-item"><figure><img src="' . twentig_get_pattern_asset( 'logo2.svg?v=2' ) . '" alt="" data-id=""/></figure></li><li class="blocks-gallery-item"><figure><img src="' . twentig_get_pattern_asset( 'logo2.svg?v=3' ) . '" alt="" data-id="1" data-link="" class="wp-image-1"/></figure></li><li class="blocks-gallery-item"><figure><img src="' . twentig_get_pattern_asset( 'logo2.svg?v=4' ) . '" alt="" data-id=""/></figure></li><li class="blocks-gallery-item"><figure><img src="' . twentig_get_pattern_asset( 'logo2.svg?v=5' ) . '" alt="" data-id=""/></figure></li><li class="blocks-gallery-item"><figure><img src="' . twentig_get_pattern_asset( 'logo2.svg?v=6' ) . '" alt="" data-id=""/></figure></li></ul></figure><!-- /wp:gallery --></div><!-- /wp:column --></div><!-- /wp:columns --></div></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/logos-4-columns',
	array(
		'title'      => __( 'Logos 4 Columns', 'twentig' ),
		'categories' => array( 'logos' ),
		'content'    => '<!-- wp:group {"align":"full"} --><div class="wp-block-group alignfull"><div class="wp-block-group__inner-container"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Trusted by hundreds of companies worldwide', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:gallery {"ids":[null,null,null,null,null,null,null,null],"columns":4,"imageCrop":false,"align":"wide","className":"tw-mt-6","twFixedWidthCols":true,"twGutter":"no"} --><figure class="wp-block-gallery alignwide columns-4 tw-mt-6 tw-fixed-cols tw-gutter-no"><ul class="blocks-gallery-grid"><li class="blocks-gallery-item"><figure><img src="' . twentig_get_pattern_asset( 'logo.svg' ) . '" alt="" data-id=""/></figure></li><li class="blocks-gallery-item"><figure><img src="' . twentig_get_pattern_asset( 'logo.svg?v=2' ) . '" alt="" data-id=""/></figure></li><li class="blocks-gallery-item"><figure><img src="' . twentig_get_pattern_asset( 'logo.svg?v=3' ) . '" alt="" data-id=""/></figure></li><li class="blocks-gallery-item"><figure><img src="' . twentig_get_pattern_asset( 'logo.svg?v=4' ) . '" alt="" data-id=""/></figure></li><li class="blocks-gallery-item"><figure><img src="' . twentig_get_pattern_asset( 'logo.svg?v=5' ) . '" alt="" data-id=""/></figure></li><li class="blocks-gallery-item"><figure><img src="' . twentig_get_pattern_asset( 'logo.svg?v=6' ) . '" alt="" data-id=""/></figure></li><li class="blocks-gallery-item"><figure><img src="' . twentig_get_pattern_asset( 'logo.svg?v=7' ) . '" alt="" data-id=""/></figure></li><li class="blocks-gallery-item"><figure><img src="' . twentig_get_pattern_asset( 'logo.svg?v=8' ) . '" alt="" data-id=""/></figure></li></ul></figure><!-- /wp:gallery --></div></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/logos-4-columns-inner-border',
	array(
		'title'      => __( 'Logos 4 Columns: Inner Border', 'twentig' ),
		'categories' => array( 'logos' ),
		'content'    => '<!-- wp:group {"align":"full"} --><div class="wp-block-group alignfull"><div class="wp-block-group__inner-container"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Our clients', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:gallery {"ids":[null,null,null,null,null,null,null,null],"columns":4,"imageCrop":false,"className":"tw-mt-8 tw-img-border-inner"} --><figure class="wp-block-gallery columns-4 tw-mt-8 tw-img-border-inner"><ul class="blocks-gallery-grid"><li class="blocks-gallery-item"><figure><img src="' . twentig_get_pattern_asset( 'logo2.svg' ) . '" alt="" data-id=""/></figure></li><li class="blocks-gallery-item"><figure><img src="' . twentig_get_pattern_asset( 'logo2.svg?v=2' ) . '" alt="" data-id=""/></figure></li><li class="blocks-gallery-item"><figure><img src="' . twentig_get_pattern_asset( 'logo2.svg?v=3' ) . '" alt="" data-id=""/></figure></li><li class="blocks-gallery-item"><figure><img src="' . twentig_get_pattern_asset( 'logo2.svg?v=4' ) . '" alt="" data-id=""/></figure></li><li class="blocks-gallery-item"><figure><img src="' . twentig_get_pattern_asset( 'logo2.svg?v=5' ) . '" alt="" data-id=""/></figure></li><li class="blocks-gallery-item"><figure><img src="' . twentig_get_pattern_asset( 'logo2.svg?v=6' ) . '" alt="" data-id=""/></figure></li><li class="blocks-gallery-item"><figure><img src="' . twentig_get_pattern_asset( 'logo2.svg?v=7' ) . '" alt="" data-id=""/></figure></li><li class="blocks-gallery-item"><figure><img src="' . twentig_get_pattern_asset( 'logo2.svg?v=8' ) . '" alt="" data-id=""/></figure></li></ul></figure><!-- /wp:gallery --></div></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/logso-4-columns-border',
	array(
		'title'      => __( 'Logos 4 Columns: Border', 'twentig' ),
		'categories' => array( 'logos' ),
		'content'    => '<!-- wp:group {"align":"full"} --><div class="wp-block-group alignfull"><div class="wp-block-group__inner-container"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Our clients', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:gallery {"ids":[null,null,null,null,null,null,null,null],"columns":4,"imageCrop":false,"align":"wide","className":"tw-mt-8 tw-img-border","twFixedWidthCols":true} --><figure class="wp-block-gallery alignwide columns-4 tw-mt-8 tw-img-border tw-fixed-cols"><ul class="blocks-gallery-grid"><li class="blocks-gallery-item"><figure><img src="' . twentig_get_pattern_asset( 'logo2.svg' ) . '" alt="" data-id=""/></figure></li><li class="blocks-gallery-item"><figure><img src="' . twentig_get_pattern_asset( 'logo2.svg?v=2' ) . '" alt="" data-id=""/></figure></li><li class="blocks-gallery-item"><figure><img src="' . twentig_get_pattern_asset( 'logo2.svg?v=3' ) . '" alt="" data-id=""/></figure></li><li class="blocks-gallery-item"><figure><img src="' . twentig_get_pattern_asset( 'logo2.svg?v=4' ) . '" alt="" data-id=""/></figure></li><li class="blocks-gallery-item"><figure><img src="' . twentig_get_pattern_asset( 'logo2.svg?v=5' ) . '" alt="" data-id=""/></figure></li><li class="blocks-gallery-item"><figure><img src="' . twentig_get_pattern_asset( 'logo2.svg?v=6' ) . '" alt="" data-id=""/></figure></li><li class="blocks-gallery-item"><figure><img src="' . twentig_get_pattern_asset( 'logo2.svg?v=7' ) . '" alt="" data-id=""/></figure></li><li class="blocks-gallery-item"><figure><img src="' . twentig_get_pattern_asset( 'logo2.svg?v=8' ) . '" alt="" data-id=""/></figure></li></ul></figure><!-- /wp:gallery --></div></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/logos-4-columns-card',
	array(
		'title'      => __( 'Logos 4 Columns: Card', 'twentig' ),
		'categories' => array( 'logos' ),
		'content'    => '<!-- wp:group {"align":"full"} --><div class="wp-block-group alignfull"><div class="wp-block-group__inner-container"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Our partners', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:columns {"align":"wide","twColumnStyle":"card-shadow","twTextAlign":"center"} --><div class="wp-block-columns alignwide tw-cols-card tw-cols-card-shadow has-text-align-center"><!-- wp:column --><div class="wp-block-column"><!-- wp:image {"align":"center","className":"tw-mb-4"} --><div class="wp-block-image tw-mb-4"><figure class="aligncenter"><img src="' . twentig_get_pattern_asset( 'logo-crop.svg' ) . '" alt=""/></figure></div><!-- /wp:image --><!-- wp:paragraph {"fontSize":"small"} --><p class="has-small-font-size">Lorem ipsum dolor sit amet, commodo erat adipiscing.</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image {"align":"center","className":"tw-mb-4"} --><div class="wp-block-image tw-mb-4"><figure class="aligncenter"><img src="' . twentig_get_pattern_asset( 'logo-crop.svg' ) . '" alt=""/></figure></div><!-- /wp:image --><!-- wp:paragraph {"fontSize":"small"} --><p class="has-small-font-size">Integer enim risus suscipit eu iaculis sed ullamcorper.</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image {"align":"center","className":"tw-mb-4"} --><div class="wp-block-image tw-mb-4"><figure class="aligncenter"><img src="' . twentig_get_pattern_asset( 'logo-crop.svg' ) . '" alt=""/></figure></div><!-- /wp:image --><!-- wp:paragraph {"fontSize":"small"} --><p class="has-small-font-size">Aliquam tempus mi nulla porta luctus sed non neque.</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image {"align":"center","className":"tw-mb-4"} --><div class="wp-block-image tw-mb-4"><figure class="aligncenter"><img src="' . twentig_get_pattern_asset( 'logo-crop.svg' ) . '" alt=""/></figure></div><!-- /wp:image --><!-- wp:paragraph {"fontSize":"small"} --><p class="has-small-font-size">Duis enim elit porttitor id feugiat at, blandit at erat.</p><!-- /wp:paragraph --></div><!-- /wp:column --></div><!-- /wp:columns --><!-- wp:columns {"align":"wide","twColumnStyle":"card-shadow","twTextAlign":"center"} --><div class="wp-block-columns alignwide tw-cols-card tw-cols-card-shadow has-text-align-center"><!-- wp:column --><div class="wp-block-column"><!-- wp:image {"align":"center","className":"tw-mb-4"} --><div class="wp-block-image tw-mb-4"><figure class="aligncenter"><img src="' . twentig_get_pattern_asset( 'logo-crop.svg' ) . '" alt=""/></figure></div><!-- /wp:image --><!-- wp:paragraph {"fontSize":"small"} --><p class="has-small-font-size">Fusce sed magna ligula commodo hendrerit fringilla.</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image {"align":"center","className":"tw-mb-4"} --><div class="wp-block-image tw-mb-4"><figure class="aligncenter"><img src="' . twentig_get_pattern_asset( 'logo-crop.svg' ) . '" alt=""/></figure></div><!-- /wp:image --><!-- wp:paragraph {"fontSize":"small"} --><p class="has-small-font-size">Mauris dui tellus mollis quis varius, sit amet ultrices leo.</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image {"align":"center","className":"tw-mb-4"} --><div class="wp-block-image tw-mb-4"><figure class="aligncenter"><img src="' . twentig_get_pattern_asset( 'logo-crop.svg' ) . '" alt=""/></figure></div><!-- /wp:image --><!-- wp:paragraph {"fontSize":"small"} --><p class="has-small-font-size">Class aptent taciti sociosqu ad litora torquent per.</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image {"align":"center","className":"tw-mb-4"} --><div class="wp-block-image tw-mb-4"><figure class="aligncenter"><img src="' . twentig_get_pattern_asset( 'logo-crop.svg' ) . '" alt=""/></figure></div><!-- /wp:image --><!-- wp:paragraph {"fontSize":"small"} --><p class="has-small-font-size">Sed gravida enim eu convallis porttitor mauris.</p><!-- /wp:paragraph --></div><!-- /wp:column --></div><!-- /wp:columns --></div></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/logos-4-columns-center-alignment',
	array(
		'title'      => __( 'Logos 4 Columns: Center Alignment', 'twentig' ),
		'categories' => array( 'logos' ),
		'content'    => '<!-- wp:group {"align":"full"} --><div class="wp-block-group alignfull"><div class="wp-block-group__inner-container"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Trusted by hundreds of companies worldwide', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:gallery {"ids":[null,null,null,null,null,null,null],"columns":4,"imageCrop":false,"align":"wide","className":"tw-mt-6 tw-img-center","twFixedWidthCols":true,"twGutter":"no"} --><figure class="wp-block-gallery alignwide columns-4 tw-mt-6 tw-img-center tw-fixed-cols tw-gutter-no"><ul class="blocks-gallery-grid"><li class="blocks-gallery-item"><figure><img src="' . twentig_get_pattern_asset( 'logo.svg' ) . '" alt="" data-id=""/></figure></li><li class="blocks-gallery-item"><figure><img src="' . twentig_get_pattern_asset( 'logo.svg?v=2' ) . '" alt="" data-id=""/></figure></li><li class="blocks-gallery-item"><figure><img src="' . twentig_get_pattern_asset( 'logo.svg?v=3' ) . '" alt="" data-id=""/></figure></li><li class="blocks-gallery-item"><figure><img src="' . twentig_get_pattern_asset( 'logo.svg?v=4' ) . '" alt="" data-id=""/></figure></li><li class="blocks-gallery-item"><figure><img src="' . twentig_get_pattern_asset( 'logo.svg?v=5' ) . '" alt="" data-id=""/></figure></li><li class="blocks-gallery-item"><figure><img src="' . twentig_get_pattern_asset( 'logo.svg?v=6' ) . '" alt="" data-id=""/></figure></li><li class="blocks-gallery-item"><figure><img src="' . twentig_get_pattern_asset( 'logo.svg?v=7' ) . '" alt="" data-id=""/></figure></li></ul></figure><!-- /wp:gallery --></div></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/logos-5-columns',
	array(
		'title'      => __( 'Logos 5 Columns', 'twentig' ),
		'categories' => array( 'logos' ),
		'content'    => '<!-- wp:group {"align":"full"} --><div class="wp-block-group alignfull"><div class="wp-block-group__inner-container"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Our clients', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:gallery {"ids":[null,null,null,null,null],"columns":5,"imageCrop":false,"align":"wide","className":"tw-mt-6 tw-img-center","twFixedWidthCols":true,"twGutter":"no"} --><figure class="wp-block-gallery alignwide columns-5 tw-mt-6 tw-img-center tw-fixed-cols tw-gutter-no"><ul class="blocks-gallery-grid"><li class="blocks-gallery-item"><figure><img src="' . twentig_get_pattern_asset( 'logo.svg' ) . '" alt="" data-id=""/></figure></li><li class="blocks-gallery-item"><figure><img src="' . twentig_get_pattern_asset( 'logo.svg?v=2' ) . '" alt="" data-id=""/></figure></li><li class="blocks-gallery-item"><figure><img src="' . twentig_get_pattern_asset( 'logo.svg?v=3' ) . '" alt="" data-id=""/></figure></li><li class="blocks-gallery-item"><figure><img src="' . twentig_get_pattern_asset( 'logo.svg?v=4' ) . '" alt="" data-id=""/></figure></li><li class="blocks-gallery-item"><figure><img src="' . twentig_get_pattern_asset( 'logo.svg?v=5' ) . '" alt="" data-id=""/></figure></li></ul></figure><!-- /wp:gallery --></div></div><!-- /wp:group -->',
	)
);
