<?php
/**
 * List block patterns.
 *
 * @package twentig
 */

twentig_register_block_pattern(
	'twentig/list-and-text-aligned',
	array(
		'title'      => __( 'List and Text Aligned', 'twentig' ),
		'categories' => array( 'list' ),
		'content'    => '<!-- wp:group {"align":"full"} --><div class="wp-block-group alignfull"><div class="wp-block-group__inner-container"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Write a heading that captivates your audience', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:paragraph --><p>Lorem ipsum dolor sit amet, commodo erat adipiscing elit. Sed do eiusmod ut tempor incididunt ut labore et dolore. Integer enim risus suscipit eu iaculis sed, ullamcorper at metus. Class aptent taciti sociosqu ad litora torquent per conubia nostra.</p><!-- /wp:paragraph --><!-- wp:list --><ul><li>Integer enim risus suscipit eu iaculis</li><li>Quisque lorem sapien, egestas sed venenatis</li><li>Aliquam tempus mi nulla porta luctus nec congue velit</li><li>Sed non neque at lectus bibendum blandit</li></ul><!-- /wp:list --></div></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/list-and-heading-on-left',
	array(
		'title'      => __( 'List and Heading on Left', 'twentig' ),
		'categories' => array( 'list' ),
		'content'    => '<!-- wp:group {"align":"full"} --><div class="wp-block-group alignfull"><div class="wp-block-group__inner-container"><!-- wp:columns {"align":"wide","twGutter":"large","twStack":"md"} --><div class="wp-block-columns alignwide tw-gutter-large tw-cols-stack-md"><!-- wp:column {"className":"tw-mb-4"} --><div class="wp-block-column tw-mb-4"><!-- wp:heading --><h2>' . esc_html_x( 'Write a heading that captivates your audience', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:list {"ordered":true,"className":"is-style-tw-border-inner tw-list-spacing-medium"} --><ol class="is-style-tw-border-inner tw-list-spacing-medium"><li>Lorem ipsum dolor sit amet, commodo erat adipiscing elit</li><li>Integer enim risus suscipit eu iaculis sed, ullamcorper at metus</li><li>Aliquam tempus mi nulla porta luctus</li><li>Duis enim elit, porttitor id feugiat at blandit at erat</li><li>Fusce sed magna eu ligula commodo hendrerit ac purus</li></ol><!-- /wp:list --></div><!-- /wp:column --></div><!-- /wp:columns --></div></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/emphasized-list-and-heading-on-left',
	array(
		'title'      => __( 'Emphasized List and Heading on Left', 'twentig' ),
		'categories' => array( 'list' ),
		'content'    => '<!-- wp:group {"align":"full"} --><div class="wp-block-group alignfull"><div class="wp-block-group__inner-container"><!-- wp:columns {"verticalAlignment":"center","align":"wide","twGutter":"large","twStack":"md"} --><div class="wp-block-columns alignwide are-vertically-aligned-center tw-gutter-large tw-cols-stack-md"><!-- wp:column {"verticalAlignment":"center"} --><div class="wp-block-column is-vertically-aligned-center"><!-- wp:heading --><h2>' . esc_html_x( 'Write a heading', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:paragraph --><p>Lorem ipsum dolor sit amet, commodo erat adipiscing elit. Sed do eiusmod ut tempor incididunt ut labore et dolore. Integer enim risus suscipit eu iaculis sed, ullamcorper at metus.</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column {"verticalAlignment":"center"} --><div class="wp-block-column is-vertically-aligned-center"><!-- wp:group {"backgroundColor":"white","twDecoration":"shadow"} --><div class="wp-block-group has-white-background-color has-background tw-shadow"><div class="wp-block-group__inner-container"><!-- wp:list {"className":"is-style-tw-checkmark tw-list-spacing-loose"} --><ul class="is-style-tw-checkmark tw-list-spacing-loose"><li>Integer enim risus suscipit eu iaculis</li><li>Quisque lorem sapien egestas sed venenatis</li><li>Aliquam tempus mi nulla porta luctus</li><li>Sed non neque at lectus bibendum blandit</li><li>Proin varius libero sit amet tortor volutpat diam</li></ul><!-- /wp:list --></div></div><!-- /wp:group --></div><!-- /wp:column --></div><!-- /wp:columns --></div></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/list-and-image-on-left',
	array(
		'title'      => __( 'List and Image on Left', 'twentig' ),
		'categories' => array( 'list' ),
		'content'    => '<!-- wp:group {"align":"full"} --><div class="wp-block-group alignfull"><div class="wp-block-group__inner-container"><!-- wp:media-text {"mediaType":"image","twStackedMd":true} --><div class="wp-block-media-text alignwide is-stacked-on-mobile tw-stack-md"><figure class="wp-block-media-text__media"><img src="' . twentig_get_pattern_asset( 'square1.jpg' ) . '" alt=""/></figure><div class="wp-block-media-text__content"><!-- wp:heading --><h2>' . esc_html_x( 'Write a heading', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:paragraph --><p>Lorem ipsum dolor sit amet, commodo erat adipiscing elit. Sed do eiusmod ut tempor incididunt ut labore et dolore.</p><!-- /wp:paragraph --><!-- wp:list --><ul><li>Integer enim risus suscipit eu iaculis</li><li>Quisque lorem sapien, egestas sed venenatis</li><li>Aliquam tempus mi nulla porta luctus</li><li>Sed non neque at lectus bibendum blandit</li></ul><!-- /wp:list --></div></div><!-- /wp:media-text --></div></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/bold-list-and-image-on-left',
	array(
		'title'      => __( 'Bold List and Image on Left', 'twentig' ),
		'categories' => array( 'list' ),
		'content'    => '<!-- wp:group {"align":"full"} --><div class="wp-block-group alignfull"><div class="wp-block-group__inner-container"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Write a heading that captivates your audience', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:media-text {"mediaType":"image","twStackedMd":true} --><div class="wp-block-media-text alignwide is-stacked-on-mobile tw-stack-md"><figure class="wp-block-media-text__media"><img src="' . twentig_get_pattern_asset( 'landscape1.jpg' ) . '" alt=""/></figure><div class="wp-block-media-text__content"><!-- wp:list {"className":"is-style-tw-checkmark tw-list-spacing-loose"} --><ul class="is-style-tw-checkmark tw-list-spacing-loose"><li><strong>Lorem ipsum dolor sit amet</strong><br>Sed do eiusmod ut tempor incididunt ut labore et dolore.</li><li><strong>Integer enim risus</strong><br>Venenatis nec convallis magna eu congue velit. Fusce sed magna eu ligula commodo hendrerit fringilla.</li><li><strong>Aliquam tempus mi nulla porta luctus</strong><br>Duis enim elit porttitor id feugiat at blandit at erat.</li></ul><!-- /wp:list --></div></div><!-- /wp:media-text --></div></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/alternating-list-and-image',
	array(
		'title'      => __( 'Alternating List and Image', 'twentig' ),
		'categories' => array( 'list' ),
		'content'    => '<!-- wp:group {"align":"full"} --><div class="wp-block-group alignfull"><div class="wp-block-group__inner-container"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Write a heading that captivates your audience', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:media-text {"mediaType":"image","mediaWidth":49,"imageFill":false,"twStackedMd":true} --><div class="wp-block-media-text alignwide is-stacked-on-mobile tw-stack-md" style="grid-template-columns:49% auto"><figure class="wp-block-media-text__media"><img src="' . twentig_get_pattern_asset( 'landscape1.jpg' ) . '" alt=""/></figure><div class="wp-block-media-text__content"><!-- wp:heading {"level":3} --><h3>' . esc_html_x( 'First item', 'Block pattern content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph --><p>Lorem ipsum dolor sit amet, commodo erat adipiscing elit. Sed do eiusmod ut tempor incididunt ut labore et dolore.</p><!-- /wp:paragraph --><!-- wp:list --><ul><li>Proin varius libero sit amet tortor volutpat diam</li><li>Venenatis nec convallis magna eu congue velit</li><li>Duis enim elit porttitor id feugiat blandit</li></ul><!-- /wp:list --></div></div><!-- /wp:media-text --><!-- wp:media-text {"mediaPosition":"right","mediaType":"image","mediaWidth":49,"imageFill":false,"twStackedMd":true} --><div class="wp-block-media-text alignwide has-media-on-the-right is-stacked-on-mobile tw-stack-md" style="grid-template-columns:auto 49%"><figure class="wp-block-media-text__media"><img src="' . twentig_get_pattern_asset( 'landscape2.jpg' ) . '" alt=""/></figure><div class="wp-block-media-text__content"><!-- wp:heading {"level":3} --><h3>' . esc_html_x( 'Second item', 'Block pattern content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph --><p>Integer enim risus suscipit eu iaculis sed ullamcorper at metus. Venenatis nec convallis magna eu congue velit.</p><!-- /wp:paragraph --><!-- wp:list --><ul><li>Aliquam tempus mi eu nulla porta luctus</li><li>Fusce sed magna eu ligula commodo</li><li>Mauris dui tellus mollis quis varius amet ultrices</li></ul><!-- /wp:list --></div></div><!-- /wp:media-text --></div></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/lists-2-columns',
	array(
		'title'      => __( 'Lists: 2 Columns', 'twentig' ),
		'categories' => array( 'list' ),
		'content'    => '<!-- wp:group {"align":"full"} --><div class="wp-block-group alignfull"><div class="wp-block-group__inner-container"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Write a heading that captivates your audience', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:columns {"twGutter":"large"} --><div class="wp-block-columns tw-gutter-large"><!-- wp:column --><div class="wp-block-column"><!-- wp:heading {"level":3,"fontSize":"large"} --><h3 class="has-large-font-size">' . esc_html_x( 'First item', 'Block pattern content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph --><p>Lorem ipsum dolor sit amet, commodo erat adipiscing elit ut tempor.</p><!-- /wp:paragraph --><!-- wp:list {"className":"is-style-tw-dash"} --><ul class="is-style-tw-dash"><li>Venenatis convallis</li><li>Sed eiusmod</li><li>Integer enim</li><li>Aliquam tempus</li><li>Sed non neque</li></ul><!-- /wp:list --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:heading {"level":3,"fontSize":"large"} --><h3 class="has-large-font-size">' . esc_html_x( 'Second item', 'Block pattern content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph --><p>Integer enim risus suscipit eu iaculis sed, ullamcorper at metus.</p><!-- /wp:paragraph --><!-- wp:list {"className":"is-style-tw-dash"} --><ul class="is-style-tw-dash"><li>Morbi fringilla</li><li>Duis enim elit</li><li>Proin varius libero</li><li>Fusce magna</li></ul><!-- /wp:list --></div><!-- /wp:column --></div><!-- /wp:columns --></div></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/lists-3-columns',
	array(
		'title'      => __( 'Lists: 3 Columns', 'twentig' ),
		'categories' => array( 'list' ),
		'content'    => '<!-- wp:group {"align":"full"} --><div class="wp-block-group alignfull"><div class="wp-block-group__inner-container"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Write a heading that captivates your audience', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:columns {"align":"wide"} --><div class="wp-block-columns alignwide"><!-- wp:column --><div class="wp-block-column"><!-- wp:heading {"level":3,"fontSize":"large"} --><h3 class="has-large-font-size">' . esc_html_x( 'First item', 'Block pattern content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph --><p>Lorem ipsum dolor sit amet, commodo erat adipiscing elit tempor.</p><!-- /wp:paragraph --><!-- wp:list {"className":"is-style-tw-arrow"} --><ul class="is-style-tw-arrow"><li>Venenatis convallis</li><li>Sed eiusmod</li><li>Integer enim</li><li>Aliquam tempus </li></ul><!-- /wp:list --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:heading {"level":3,"fontSize":"large"} --><h3 class="has-large-font-size">' . esc_html_x( 'Second item', 'Block pattern content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph --><p>Integer enim risus suscipit eu iaculis sed, ullamcorper at metus.</p><!-- /wp:paragraph --><!-- wp:list {"className":"is-style-tw-arrow"} --><ul class="is-style-tw-arrow"><li>Sed non neque</li><li>Morbi fringilla</li><li>Duis enim elit</li><li>Proin varius libero</li></ul><!-- /wp:list --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:heading {"level":3,"fontSize":"large"} --><h3 class="has-large-font-size">' . esc_html_x( 'Third item', 'Block pattern content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph --><p>Aliquam tempus mi nulla porta luctus. Sed non neque at lectus bibendum.</p><!-- /wp:paragraph --><!-- wp:list {"className":"is-style-tw-arrow"} --><ul class="is-style-tw-arrow"><li>Fusce magna</li><li>Integer sagittis</li><li>Mauris dui tellus</li><li>Class aptent </li></ul><!-- /wp:list --></div><!-- /wp:column --></div><!-- /wp:columns --></div></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/lists-3-columns-with-border',
	array(
		'title'      => __( 'Lists: 3 Columns with Border', 'twentig' ),
		'categories' => array( 'list' ),
		'content'    => '<!-- wp:group {"align":"full"} --><div class="wp-block-group alignfull"><div class="wp-block-group__inner-container"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Write a heading that captivates your audience', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:columns {"align":"wide","twGutter":"large"} --><div class="wp-block-columns alignwide tw-gutter-large"><!-- wp:column --><div class="wp-block-column"><!-- wp:heading {"level":3,"fontSize":"large"} --><h3 class="has-large-font-size">' . esc_html_x( 'First item', 'Block pattern content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:list {"className":"is-style-tw-border-inner"} --><ul class="is-style-tw-border-inner"><li>Venenatis convallis</li><li>Sed eiusmod</li><li>Integer enim</li><li>Aliquam tempus</li></ul><!-- /wp:list --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:heading {"level":3,"fontSize":"large"} --><h3 class="has-large-font-size">' . esc_html_x( 'Second item', 'Block pattern content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:list {"className":"is-style-tw-border-inner"} --><ul class="is-style-tw-border-inner"><li>Sed non neque</li><li>Morbi fringilla</li><li>Duis enim elit</li><li>Proin varius libero</li></ul><!-- /wp:list --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:heading {"level":3,"fontSize":"large"} --><h3 class="has-large-font-size">' . esc_html_x( 'Third item', 'Block pattern content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:list {"className":"is-style-tw-border-inner"} --><ul class="is-style-tw-border-inner"><li>Fusce magna</li><li>Integer sagittis</li><li>Mauris dui tellus</li><li>Class aptent</li></ul><!-- /wp:list --></div><!-- /wp:column --></div><!-- /wp:columns --></div></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/lists-4-columns-with-image',
	array(
		'title'      => __( 'Lists: 4 Columns with Image', 'twentig' ),
		'categories' => array( 'list' ),
		'content'    => '<!-- wp:group {"align":"full"} --><div class="wp-block-group alignfull"><div class="wp-block-group__inner-container"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Write a heading', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:columns {"align":"wide"} --><div class="wp-block-columns alignwide"><!-- wp:column --><div class="wp-block-column"><!-- wp:image --><figure class="wp-block-image"><img src="' . twentig_get_pattern_asset( 'landscape1.jpg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:heading {"level":3,"fontSize":"large"} --><h3 class="has-large-font-size">' . esc_html_x( 'First item', 'Block pattern content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:list --><ul><li>Venenatis convallis</li><li>Sed eiusmod</li><li>Integer enim</li><li>Aliquam tempus </li></ul><!-- /wp:list --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image --><figure class="wp-block-image"><img src="' . twentig_get_pattern_asset( 'landscape2.jpg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:heading {"level":3,"fontSize":"large"} --><h3 class="has-large-font-size">' . esc_html_x( 'Second item', 'Block pattern content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:list --><ul><li>Sed non neque</li><li>Morbi fringilla</li><li>Duis enim elit</li><li>Proin varius libero </li></ul><!-- /wp:list --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image --><figure class="wp-block-image"><img src="' . twentig_get_pattern_asset( 'landscape3.jpg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:heading {"level":3,"fontSize":"large"} --><h3 class="has-large-font-size">' . esc_html_x( 'Third item', 'Block pattern content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:list --><ul><li>Fusce magna</li><li>Integer sagittis</li><li>Mauris dui tellus</li><li>Class aptent </li></ul><!-- /wp:list --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image --><figure class="wp-block-image"><img src="' . twentig_get_pattern_asset( 'landscape4.jpg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:heading {"level":3,"fontSize":"large"} --><h3 class="has-large-font-size">' . esc_html_x( 'Fourth item', 'Block pattern content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:list --><ul><li>Rhoncus justo </li><li>Amet velit</li><li>Erat vitae</li><li>Maecenas convallis </li></ul><!-- /wp:list --></div><!-- /wp:column --></div><!-- /wp:columns --></div></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/inline-list',
	array(
		'title'      => __( 'Inline List', 'twentig' ),
		'categories' => array( 'list', 'logos' ),
		'content'    => '<!-- wp:group {"align":"full"} --><div class="wp-block-group alignfull"><div class="wp-block-group__inner-container"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Our clients', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:list {"className":"has-text-align-center is-style-tw-inline","fontSize":"large"} --><ul class="has-text-align-center is-style-tw-inline has-large-font-size"><li>Airbnb</li><li>Apple</li><li>Dropbox</li><li>Facebook</li><li>Github</li><li>Google</li><li>LinkedIn</li><li>Mailchimp</li><li>Microsoft</li><li>Netflix</li><li>Paypal</li><li>Slack</li><li>Spotify</li><li>Twitter</li><li>Uber</li><li>Zoom</li></ul><!-- /wp:list --></div></div><!-- /wp:group -->',
	)
);
